%define	name	imagination
%define	version	3.0


Summary:	Imagination - simple DVD slide show maker
Name:		%{name}
Version:	%{version}
Release:	%mkrel 4
Group:		Video
License:	GPLv3
URL:		http://imagination.sourceforge.net/
Source:         %{name}-%{version}.tar.xz
Patch1:		support.h.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk2-devel
BuildRequires:	sox-devel >= 14.4.1
BuildRequires:	desktop-file-utils
BuildRequires:	cairo-devel 
BuildRequires:	libtool
BuildRequires:  glib-devel
BuildRequires:  gettext
BuildRequires:  pkgconfig
Requires: 	sox >= 14.4.2
Requires: 	ffmpeg > 2.0
Obsoletes:  	%name < %version

%description
Imagination is a lightweight and simple DVD slide show maker written 
in C language and built with the GTK+2 toolkit.

%description -l de
Die Phantasie ist eine leichte und einfache DVD Slide Show Maker geschrieben
in C-Sprache und mit der GTK-Toolkit 2 gebaut.

%description -l fr
L'imagination est un poids léger et simple DVD maker slide show écrit
en langage C et construit avec le toolkit GTK 2.

%description -l es
La imaginación es un peso ligero y sencillo DVD Maker presentación por escrito
en lenguaje C y construido con el kit de herramientas GTK 2.

%description -l pl
Imagination is a lightweight and simple DVD slide show maker written 
in C language and built with the GTK+2 toolkit.

%description -l sr
Машта је лак и једноставан слајд шоу ДВД-Макер написано
у Ц језику и изграђена са ГТК +2 средства.

%description -l nl
Verbeelding is een lichtgewicht en eenvoudig DVD slide show maker geschreven
in de taal C en gebouwd met de toolkit GTK +2.


%prep
%setup -q 
%patch1 -p1

%build
export LDFLAGS="-lm"
%configure2_5x \
       --disable-static 
               

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 
desktop-file-install --vendor="" \
	--add-category="X-MandrivaLinux-Multimedia-Video" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}


%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_docdir}/%{name}
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Sun Jun 10 2018 adrianomorselli <adrianomorselli> 3.0-4uplos2018
- rebuild
